2009-04-16  Alexander Larsson  <alexl@redhat.com>

	* gnome-desktop-thumbnail.c:
	(gnome_desktop_thumbnail_factory_init):
	Add /gnome/desktop/thumbnails, not /gnome/desktop
	preload recursive and make sure we read the dir
	after that.

2009-04-16  Alexander Larsson  <alexl@redhat.com>

	Bug 141557 – Svg backgrounds not scaled correctly

	* gnome-bg.c:
	(get_as_pixbuf):
	When loading an svg, load at the requested zoom level
	instead of resizing after rendering.
	Patch from Robert Ancell

==================== 2.26.1 ====================

2009-04-08  Federico Mena Quintero  <federico@novell.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=568160 - Use
	XRRGetScreenResourcesCurrent() if available (i.e. we were compiled
	with RANDR 1.3 and it is actually available at runtime), when we
	only need to fetch the current RANDR status.  Use
	XRRGetScreenResources() as usual when we do need to re-probe.
	Patch by Alberto Milone <albertomilone@alice.it>, with minor
	modifications:

	* gnome-rr.c (fill_out_screen_info): Take a needs_reprobe
	argument.  We'll use XRRGetScreenResourcesCurrent() or
	XRRGetScreenResources() as appropriate.
	(screen_on_event): Don't re-probe RANDR for all events; just for
	RRScreenChangeNotify.  This avoids expensive probing for (e.g.)
	when only output properties change (RRNotify).

2009-03-26  Alexander Larsson  <alexl@redhat.com>

	* gnome-bg.c (gnome_bg_get_pixmap_from_root):
	push/pop error handler around getting the existing root pixmap in case
	the root properties point to something wrong.

==================== 2.26.0 ====================

2009-03-06  Federico Mena Quintero  <federico@novell.com>

	Grab the X server while tweaking the RANDR configuration.

	* gnome-rr-private.h: New uninstalled header.  This only contains
	the definition of struct GnomeRRScreen, so that it can be used
	from gnome-rr-config.c as well as gnome-rr.c.

	* gnome-rr.c: Include gnome-rr-private.h; move struct
	GnomeRRScreen to that file.

	* Makefile.am (libgnome_desktop_2_la_SOURCES): Add gnome-rr-private.h.

	* gnome-rr-config.c (crtc_assignment_apply): Grab the server while
	tweaking the CRTCs and screen, so that apps that request RANDR
	notifications will only receive the final result, not the
	intermediate ones.

==================== 2.25.92 ====================

2009-03-03  Vincent Untz  <vuntz@gnome.org>

	* private.h: fix header
	* Makefile.am: add private.h

2009-03-03  Vincent Untz  <vuntz@gnome.org>

	Make sure the translations of gnome-desktop can be used for the randr
	stuff. Fix bug #573744.

	* private.h: new file
	* gnome-desktop-utils.c:
	(_gnome_desktop_init_i18n): add _gnome_desktop_init_i18n() to init the
	i18n system.
	* gnome-desktop-item.c: (gnome_desktop_item_new): call
	_gnome_desktop_init_i18n() instead of init_i18n()
	(init_i18n): killed
	* gnome-desktop-utils.c:
	(gnome_desktop_prepend_terminal_to_vector): call
	_gnome_desktop_init_i18n()
	* gnome-rr.c: (gnome_rr_screen_new): call _gnome_desktop_init_i18n()

2009-02-19  Matthias Clasen  <mclasen@redhat.com>

	* gnome-rr.c (fill_out_screen_info): Revert the change from
	2009-01-19 and go back to using XRRGetScreenResources. This
	fixes the "Detect Monitors" button in the Screen Resolution
	capplet.

2009-02-19  Federico Mena Quintero  <federico@novell.com>

	* edid-parse.c: No longer define TRUE/FALSE, as glib.h brings
	those in.

2009-02-17  Federico Mena Quintero  <federico@novell.com>

	* edid-parse.c (decode_edid): Use g_new0() instead of calloc() so
	the caller can keep on using g_free(), and to actually abort on EOM.
	(decode_edid): Don't leak the info in case of error.

2009-02-17  Alexander Larsson  <alexl@redhat.com>

        * gnome-bg.c:
	Allow apps to ignore a pending change so they can avoid updating
	their background twice. (Nautilus needs this)

	Blow all expensive caches if we're not gonna update the background
	again in one minute.

	Do slightly less steps in slide transitions to avoid using to
	much resources on things that are not visible.

	Remove outstanding transitions on finalize

==================== 2.25.91 ====================

==================== 2.25.90 ====================

2009-02-04  Vincent Untz  <vuntz@gnome.org>

	* gnome-rr-config.c:
	* libgnomeui/gnome-rr-config.h: add deprecation guard

2009-02-03  Federico Mena Quintero  <federico@novell.com>

	Don't break the API/ABI for gnome_rr_config_apply_stored(); just
	deprecate it.

	* gnome-rr-config.c (gnome_rr_config_apply_stored): Remove the
	"filename" argument to avoid breaking the API/ABI.
	(gnome_rr_config_apply_from_filename): New public function that
	takes a filename.

	* libgnomeui/gnome-rr-config.h (gnome_rr_config_apply_from_filename):
	New prototype.

2009-01-27  Federico Mena Quintero  <federico@novell.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=545115 - Ask for
	confirmation, with a timeout, after changing the RANDR
	configuration for if we leave the user with an unusable display.
	This also handles the case where the machine may crash after
	changing the configuration; the old/known-good configuration will
	be restored when the user restarts his session.

	Add public API to get to $(XDG_CONFIG_HOME)/monitors.xml and a
	backup of that file (monitors.xml.backup):

	* libgnomeui/gnome-rr-config.h
	(gnome_rr_config_get_backup_filename,
	gnome_rr_config_get_intended_filename): New prototypes.

	* gnome-rr-config.c (gnome_rr_config_get_backup_filename): Implement.
	(gnome_rr_config_get_intended_filename): Implement.
	(get_config_filename): Replaced by gnome_rr_config_get_intended_filename().

	Create the backup file:

	* gnome-rr-config.c (gnome_rr_config_save): Create a backup file
	of monitors.xml when saving a new configuration.

	Remove the use of the "old" version of the configuration format
	(which was never in a public release):

	* gnome-rr-config.c (get_old_config_filename): Removed.
	(configurations_read): Don't fall back to the pre-XDG location of
	the configuration file.
	(gnome_rr_config_save): Don't delete the pre-XDG configuration
	file anymore.

	Pass a filename argument to gnome_rr_config_apply_stored() so we
	can try the backup configuration from gnome-settings-daemon, for
	recovery after a failed reconfiguration:

	* gnome-rr-config.c (configurations_read): Removed, as
	configurations_read_from_file() does everything we need now.
	(gnome_rr_config_apply_stored): Take a filename argument; this
	indicates from which file the configuration will be read.

	* libgnomeui/gnome-rr-config.h (gnome_rr_config_apply_stored):
	Update prototype with the filename argument.
	
2009-01-25  Vincent Untz  <vuntz@gnome.org>

	* gnome-rr-config.c: (get_config_filename): create the config dir if it
	doesn't already exist, thus allowing creation of the config file :-)

==================== 2.25.5 ====================

2009-01-19  Ray Strode  <rstrode@redhat.com>

	* gnome-bg.h: Add TODO comment to clean up api.

2009-01-19  Ray Strode  <rstrode@redhat.com>

	* gnome-bg.c (gnome_bg_set_pixmap_as_root_with_crossfade), (gnome_bg_get_pixmap_from_root): Add functions to let g-s-d crossfade bg.

2009-01-19  Ray Strode  <rstrode@redhat.com>

	* gnome-bg.c (gnome_bg_set_pixmap_as_root): Add docstring for gnome_bg_set_pixmap_as_root

2009-01-19  Ray Strode  <rstrode@redhat.com>

	Add Crossfade class

	* gnome-bg-crossfade.[ch]: New files
	to manage a cross fade animation (not used yet).

2009-01-19  Ray Strode  <rstrode@redhat.com>

	Move part of set_pixmap_as_root to set_root_pixmap_id

	* gnome-bg.c (set_pixmap_as_root),
	(set_root_pixmap_id): The meatiest part of
	set_pixmap_as_root takes the passed
	in pixmap and stores it on the root window in the
	ESETROOT_PMAP_ID and _XROOTPMAP_ID properties.  That
	functionality stands on its own, and should be factored
	out so it can get reused later when adding crossfade
	transitions on background changes.


2009-01-19  Ray Strode  <rstrode@redhat.com>

	* gnome-bg.c (gnome_bg_set_pixmap_as_root): Use gdk
	functions to grab server and flush client.

2009-01-19  Ray Strode  <rstrode@redhat.com>

	Emit "transitioned" not "changed" for new frames

	* gnome-bg.c (do_transitioned), (queue_transitioned),
	(gnome_bg_class_init), (on_timeout): When changing
	slideshow frames emit a different signal than when
	changing whole backgrounds, so the two cases can be
	detected.

2009-01-19  Vincent Untz  <vuntz@gnome.org>

	* gnome-rr.c: (fill_out_screen_info): if xrandr 1.3 is available, use
	XRRGetScreenResourcesCurrent instead of XRRGetScreenResources since
	it's cheaper.
	Patch by Alberto Milone <albertomilone@alice.it>
	Fix bug #568160

2009-01-07  Vincent Untz  <vuntz@gnome.org>

	* gnome-bg.c: (gnome_bg_set_color): use gdk_color_equal() instead of
	custom colors_equal()
	Fix bug #566900

==================== 2.25.4 ====================

==================== 2.25.3 ====================

2008-12-12  Vincent Untz  <vuntz@gnome.org>

	* gnome-rr-config.c: (crtc_assignment_new):
	* gnome-rr.c: (gnome_rr_crtc_set_config): fix translator comments, to
	really fix bug #563831.

2008-12-10  Vincent Untz  <vuntz@gnome.org>

	* gnome-rr-config.c: (has_similar_mode): kill since it's unused and
	creates a warning

2008-12-10  Vincent Untz  <vuntz@gnome.org>

	* gnome-rr-config.c: (crtc_assignment_new):
	* gnome-rr.c: (gnome_rr_crtc_set_config):
	Fix build, thanks to Frederic Peters <fpeters@0d.be> for the quick
	notice. Fix bug #563926 and bug #563927.

2008-12-09  Federico Mena Quintero  <federico@novell.com>

	Fix http://bugzilla.gnome.org/show_bug.cgi?id=563831

	* gnome-rr.c (gnome_rr_crtc_set_config): Make an error string more
	friendly to translation.

	* gnome-rr-config.c (crtc_assignment_new): Likewise.

2008-12-05  Vincent Untz  <vuntz@gnome.org>

	* gnome-bg.c: (get_current_slide): add assertion
	(read_slideshow_file): if there are no slides in the slideshow, do as
	if there were no slideshow at all.
	Should fix bug #522756.

2008-10-16  Federico Mena Quintero  <federico@novell.com>

	Add error reporting to the GnomeRR API.

	* libgnomeui/gnome-rr.h (GnomeRRError): New enum with error codes
	for the GnomeRR API.

	* gnome-rr.c (gnome_rr_error_quark): New public function.

2008-12-02  Vincent Untz  <vuntz@gnome.org>

	* gnome-rr-config.c: (handle_start_element), (outputs_free):
	* gnome-rr.c: (output_free): plug leaks.
	Patch by Matthias Clasen <mclasen@redhat.com>
	Fix bug #549960.

==================== 2.25.2 ====================

2008-12-01  Vincent Untz  <vuntz@gnome.org>

	* gnome-desktop-thumbnail.c:
	(gnome_desktop_thumbnail_factory_generate_thumbnail): fix crash
	tempfile cannot be created, and plug leak. Fix bug #562003.

2008-12-01  Vincent Untz  <vuntz@gnome.org>

	* gnome-bg.c: (gnome_bg_finalize): clean previous patch

2008-11-23  Cosimo Cecchi  <cosimoc@gnome.org>

	* gnome-bg.c: (gnome_bg_finalize): plug a leak in GnomeBG; free the
	filename when finalizing the object (#561377).

Fri Nov 14 06:59:59 2008  Søren Sandmann  <sandmann@redhat.com>

	* display-name.c (vendors): Add Lenovo display name

2008-11-05  Vincent Untz  <vuntz@gnome.org>

	* libgnome-desktop/gnome-desktop-thumbnail.c:
	(_gdk_pixbuf_new_from_uri_at_scale): reenable code

==================== 2.25.1.1 ====================

2008-11-05  Vincent Untz  <vuntz@gnome.org>

	* libgnome-desktop/gnome-desktop-thumbnail.c:
	(_gdk_pixbuf_new_from_uri_at_scale): temporary disable the
	preview::icon code so we don't depend on an unreleased glib

==================== 2.25.1 ====================

2008-10-21  Alexander Larsson  <alexl@redhat.com>

        * gnome-desktop-thumbnail.c:
        (_gdk_pixbuf_new_from_uri_at_scale):
	Check for preview::icon for fast backend-side thumbnails (#557184)
	Patch from David Zeuthen

Sat Oct 18 16:03:10 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-bg.c (make_root_pixmap): Use foreign_new_for_screen()
	instead of _foreign_new(). Bug 555701, patch from Roland Dreier.

Wed Oct  8 21:56:58 2008  Søren Sandmann  <sandmann@redhat.com>

	* libgnomeui/gnome-desktop-thumbnail.h
	(GNOME_DESKTOP_THUMBNAIL_FACTORY_CLASS): Put the macros into the
	GNOME_DESKTOP namespace so they don't clash if you also include
	libgnomeui.h

Wed Oct  8 21:05:22 2008  Søren Sandmann  <sandmann@redhat.com>

	* Various new RR API to support fn-F7 support

2008-10-07  Alexander Larsson  <alexl@redhat.com>

	Removes the dependency on libgnome* by removing some
	ancient code that uses it and pulling in some code from
	libgnome that we need internally and that other apps that
	don't want to require libgnome needs.
	
        * gnome-desktop-thumbnail.c: Added.
        * gnome-thumbnail-pixbuf-utils.c: Added.
        * libgnomeui/gnome-desktop-thumbnail.h: Added.
	Added a copy of gnome-thumbnail from libgnomeui, renamed
	to GnomeDesktopThumbnail.
	
        * gnome-desktop-utils.c: Added.
        * libgnome/gnome-desktop-utils.h: Added.
	Add gnome_desktop_prepend_terminal_to_vector (from libgnome).
	Used internally and by nautilus.
	
        * gnome-ditem-edit.c:
        * gnome-hint.c: 
	* test-hint.c:
	* test-ditem-edit.c:
        * libgnomeui/gnome-ditem-edit.h: Removed.
        * libgnomeui/gnome-hint.h: Removed.
	Remove gnome-ditem-edit and gnome-hint.
	
        * gnome-bg.c:
        * libgnomeui/gnome-bg.h:
	Use GnomeDesktopThumbnail instead of GnomeThumbnail
	
        * gnome-desktop-2.0.pc.in:
	Remove libgnomeui dependency
	
        * gnome-desktop-item.c:
        * libgnome/gnome-desktop-item.h:
	Don't use libgnome* stuff.
	If needed, instead use the new copies from gnome-desktop.
	This drops backwards compat for really old gnome1 and kde2 icons
	in desktop files...
	
        * test-ditem.c:
	Don't use gnome-program.

        * Makefile.am:
        * libgnome/Makefile.am:
        * libgnomeui/Makefile.am:
	Update for removed/added files
	
==================== 2.24.0 ====================

2008-09-22  Vincent Untz  <vuntz@gnome.org>

	* gnome-rr.c: (gnome_rr_crtc_set_config): fix regression introduced
	in the Sep 16 commit, that made changing resolution not working.
	Patch by Jens Granseuer <jensgr@gmx.net>

2008-09-18  Federico Mena Quintero  <federico@novell.com>

	* gnome-desktop-item.c (gnome_desktop_item_new_from_string):
	If the passed length == -1, compute the length of the string.
	Otherwise, our internal readbuf_new_from_string() will bail out.

Tue Sep 16 11:23:05 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-rr.c (gnome_rr_crtc_set_config): Propagate errors from
	XRRSetCrtcConfig() 

	* gnome-rr-config.c (crtc_assignment_apply): Don't try and set the
	screen size if turning off any of the CRTC's failed.

	Fix bug #537592

==================== 2.23.92 ====================

2008-09-08  Vincent Untz  <vuntz@gnome.org>

	* edid.h: remove empty & unused DisplayDescriptor structure.
	Fix bug #546784.

==================== 2.23.91 ====================

2008-09-01  Vincent Untz  <vuntz@gnome.org>

	* gnome-bg.c: (gnome_bg_load_from_preferences): fix leak
	(gnome_bg_set_filename): remove useless code
	Patch by Matthias Clasen <mclasen@redhat.com>
	Fix bug #549876

==================== 2.23.90 ====================

2008-08-18  Baptiste Mille-Mathias <baptiste.millemathias@gmail.com>

	* libgnome/gnome-desktop-item.h: replace include.
	We replace <gtk/gtkicontheme.h> with <gtk/gtk.h> to permit to build
	when GTK_DISABLE_SINGLE_INCLUDES is defined.
	Patch from  Felix Riemann <friemann@svn.gnome.org>.
	Fix bug #546952.

2008-08-15  Federico Mena Quintero  <federico@novell.com>

	* gnome-rr-labeler.c (make_palette): Use gtk_hsv_to_rgb() now that
	it is a public API.  Yay!

2008-08-14  Federico Mena Quintero  <federico@novell.com>

	* gnome-rr-labeler.c (create_label_window): Make the label bold,
	for consistency with the tray icon's menu in gnome-settings-daemon.

2008-08-13  Federico Mena Quintero  <federico@novell.com>

	* gnome-rr-labeler.[ch]: New files with a GnomeRRLabeler object.
	When created against a GnomeRRConfig, this lets the user see which
	physical monitor coresponds to each element in the user
	interface.  It displays a color-coded label window on
	the upper-left corner of each monitor.  Also, it lets callers
	access the color-coding information so that they can color their
	own GUI to configure monitors.

2008-08-11  Federico Mena Quintero  <federico@novell.com>

	* gnome-rr.c (gnome_rr_screen_destroy): New public function.  We
	should probably make GnomeRRScreen a GObject at some point if it
	is to become public API.

Tue Aug  5 02:59:30 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-rr-config.c (crtc_assignment_assign): Remove fixme 

Tue Aug  5 02:57:19 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-rr-config.c: Don't set modes that we know don't fit in the
	virtual size. 

Tue Aug  5 01:55:50 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-rr-config.c (gnome_rr_config_new_current): Position
	displays that are turned off so that they don't overlap with any
	of the on displays.

==================== 2.23.6 ====================

Wed Jul 30 01:02:28 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-bg.c (queue_changed): Go back to using a timeout rather
	than an idle, to work around non-atomic gconf.

Tue Jul 29 23:51:05 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-bg.c (gnome_bg_load_from_preferences): If the filename is
	empty, treat that as (none).

2008-07-24  Jens Granseuer  <jensgr@gmx.net>

	Fix building with gcc 2.x (again) (bug #544566)

	* edid-parse.c: (decode_display_parameters),
	(decode_detailed_timing):
	* edid.h: don't use anonymous unions

	* gnome-rr-config.c: (make_outputs): remove spurious semicolon

==================== 2.23.5 ====================

Tue Jul 15 18:41:27 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-rr-config.c: Fix error handling in configurations_read().

2008-07-14  Jens Granseuer  <jensgr@gmx.net>

	* gnome-bg.c: (gnome_bg_load_from_preferences): only emit the
	"changed" signal if the settings have actually changed

	(now), (slideshow_unref): minor code cleanup (bug #535287)

2008-07-14  Jens Granseuer  <jensgr@gmx.net>

	* gnome-bg.c: (gnome_bg_changes_with_size): fix build with
	gcc 2.x (bug #536312)

Tue Jul  8 13:25:58 2008  Søren Sandmann  <sandmann@redhat.com>

	* display-name.c: Translate a couple of strings

	* gnome-rr.c: Remove some unused code.

==================== 2.23.4 ====================

==================== 2.23.3 ====================

Sun Jun  1 20:49:10 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-bg.c (gnome_bg_get_filename): Implement this function.

Sun Jun  1 20:35:56 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-bg.c: Monitor the image file.

Sun Jun  1 19:35:42 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-bg.[ch]: Add getters for the various properties

Sun Jun  1 19:01:19 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-bg.c (scale_thumbnail): Some tweaks to the tile scaling
	heuristic. 

	* gnome-bg.c (gnome_bg_save_to_preferences): New function

	* gnome-bg.c (placement_lookup): Use tables to convert between
	enums and strings.

	* gnome-bg.c (struct _GnomeBG): Change the color names to primary
	and secondary

Sat May 31 01:38:52 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-bg.c (scale_thumbnail): Make sure tiles are at least 24
	pixels wide. 

Sat May 31 01:15:33 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-bg.c (create_img_thumbnail): Pass the correct filename to
	scale_thumbnail().

Sat May 31 00:37:10 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-bg.[ch]: Get rid of URIs. We now only deal in
	filenames. (Except as necessary for thumbnails).

2008-05-17  Vincent Untz  <vuntz@gnome.org>

	* gnome-bg.c: (create_thumbnail_for_uri): fix leak.
	Patch by Kjartan Maraas <kmaraas@gnome.org>. Fix bug #532152.

Sat May 17 00:55:48 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-bg.c (gnome_bg_set_uri): don't call g_path_is_absolute()
	on a NULL uri.

Fri May 16 23:39:26 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-bg.c (gnome_bg_set_uri): Set the URI mtime here to prevent
	loops where someone setting the same URI in the changed callback
	causes the changed callback to be emitted.

	* gnome-bg.c (blend): Coding style fix.

2008-05-14  William Jon McCann  <jmccann@redhat.com>

	* gnome-bg.c (gnome_bg_load_from_preferences): Falls back to the
	default image if the user's background doesn't exist.  Prevents
	a white screen on OS upgrade.
	Patch by Ray Strode <rstrode@redhat.com>

2008-05-14  William Jon McCann  <jmccann@redhat.com>

	* gnome-bg.c (gnome_bg_changes_with_size),
	(gnome_bg_create_pixmap), (gnome_bg_get_image_size),
	(create_img_thumbnail), (find_best_size), (get_pixbuf),
	(handle_start_element), (handle_text), (slideshow_unref),
	(dump_bg), (read_slideshow_file), (slideshow_changes_with_size):
	Support multi-resolution backgrounds
	Patch by Matthias Clasen <mclasen@redhat.com>

2008-05-14  William Jon McCann  <jmccann@redhat.com>

	* gnome-bg.c (file_cache_entry_delete), (create_img_thumbnail),
	(get_pixbuf), (slideshow_ref), (slideshow_unref),
	(read_slideshow_file):
	Fix some logic errors wrt to caching of slideshows that may cause
	nautilus crashes
	Patch by Matthias Clasen <mclasen@redhat.com>

Tue Jun 10 13:29:52 2008  Søren Sandmann  <sandmann@redhat.com>

	* Put RW* into the gnome namespace; various formatting fixes

2008-05-14  Soren Sandmann Pedersen  <sandmann@redhat.com>

	* libgnomeui/randrwrap.h: Add copyright statement and warning
	about unstable API.

	* libgnomeui/monitor-db.h: Same.

	* monitor-db.c: Same

	* randrwrap.c: Same

	* edid.h: Add Copyright statement and header guards

2008-04-17  James Westby  <james.westby@canonical.com>
 
 	* monitor-db.c (configuration_new_current): Invert the logic in
 	the detection of clone mode so that it works for a single screen
 	as well. Without this change single screens are always reported as
 	clone, which makes no sense.

2008-05-14  Soren Sandmann Pedersen  <sandmann@redhat.com>

	* Check in RandR 1.2 support
	
==================== 2.23.2 ====================

2008-05-12  William Jon McCann  <jmccann@redhat.com>

	* gnome-bg.c (set_color_from_string), (set_color_type_from_string),
	(set_placement_from_string), (do_changed), (queue_changed),
	(gnome_bg_load_from_preferences), (gnome_bg_finalize),
	(gnome_bg_class_init), (gnome_bg_set_color),
	(gnome_bg_set_placement), (gnome_bg_set_uri), (on_timeout):
	* libgnomeui/gnome-bg.h:
	Add gnome_bg_load_from_preferences().  So applications don't
	have to rely on libbackground.  Fixes #532414

2008-05-05  Vincent Untz  <vuntz@gnome.org>

	* gnome-bg.c: (get_scaled_pixbuf): simplify
	(pixbuf_blend): do not force the top-left corner of the image to fit in
	the screen, so that zoomed image appears to be zoomed from the center
	of the screen.
	Patch by Jens Granseuer <jensgr@gmx.net>
	Fix bug #523373

==================== 2.23.1 ====================

==================== 2.22.1 ====================

2008-03-29  Matthias Clasen  <mclasen@redhat.com>

	* gnome-bg.c (get_current_slide): Handle start times in
	the future correctly.  

2008-03-19  Vincent Untz  <vuntz@gnome.org>

	Fix compiler warnings.
	Patch by Kjartan Maraas <kmaraas@gnome.org>
	Fix bug #521531

	* gnome-bg.c: remove ;
	* gnome-ditem-edit.c: (return_iter_nth_row): kill
	(gnome_ditem_edit_sync_display): don't define variables with the same
	name in this scope

==================== 2.22.0 ====================

==================== 2.21.92 ====================

2008-02-13  Soren Sandmann  <sandmann@redhat.com>

	* gnome-bg.c (gnome_bg_set_uri): If we are passed a filename,
	first convert it to a uri since GIO doesn't support paths as
	uris. 

	* gnome-bg.c (handle_text): Convert the filenames to uris.

	Fix bug 516269, reported by Sebastien Bacher.
	
2008-02-13  Vincent Untz  <vuntz@gnome.org>

	* gnome-bg.c: (get_mtime): don't unref NULL
	Fix crash #516103.
	Patch by Joe Marcus Clarke <marcus@freebsd.org>

==================== 2.21.91 ====================

2008-02-11  Vincent Untz  <vuntz@gnome.org>

	* gnome-bg.c: (read_slideshow_file): fix crash when the file is not
	valid XML or empty or something else...
	Fix bug #515362

2008-02-11  Vincent Untz  <vuntz@gnome.org>

	Port GnomeBg to gio.

	* gnome-bg.c: (get_original_size): use g_filename_from_uri()
	(get_mtime): use GFileInfo
	(read_slideshow_file): use g_file_load_contents()

2008-02-11  Vincent Untz  <vuntz@gnome.org>

	Port to gio. Fix bug #510870

	* gnome-desktop-item.c: (readbuf_getc): straight gio port
	(readbuf_open): ditto, we keep a GFileInputStream instead of a handle
	(readbuf_new_from_string): updated
	(readbuf_rewind): gio port, without any difficulty
	(readbuf_close): updated
	(read_sort_order): easy
	(make_fake_directory): ditto
	(gnome_desktop_item_new_from_file): I love gio
	(get_dirname): killed
	(gnome_desktop_item_new_from_uri): gio is my friend
	(gnome_desktop_item_new_from_gfile): new, nothing hard here
	(make_args): we use GFile instead of GnomeVFSURI now
	(free_args): updated
	(convert_uri): GFile makes this easy
	(gnome_desktop_item_launch_on_screen_with_env): no need to make the
	uri canonical
	(gnome_desktop_item_drop_uri_list): just call
	gnome_desktop_item_drop_uri_list_with_env()
	(gnome_desktop_item_drop_uri_list_with_env): use
	g_uri_list_extract_uris() instead of gnome-vfs things
	(gnome_desktop_item_get_file_status): easy gio update
	(gnome_desktop_item_set_location): ditto
	(gnome_desktop_item_set_location_file): ditto
	(gnome_desktop_item_set_location_gfile): new, easy
	(stream_printf): renamed from vfs_printf, GOutputStream is my friend
	(dump_section): updated
	(ditem_save): easy gio update
	* gnome-ditem-edit.c: (gnome_ditem_edit_sync_ditem): get rid of
	gnome-vfs, it wasn't needed anyway
	* libgnome/gnome-desktop-item.h: get rid of a comment about gnome-vfs
	* test-ditem.c: (test_ditem): get rid of gnome-vfs

2008-02-05  Vincent Untz  <vuntz@gnome.org>

	* gnome-hint.c: don't include libgnome.h, since it includes
	gnome-i18n.h, which includes bonobo-i18n.h, which will include gi18n.h
	if there's not a defined macro. And it's a conflict with our
	gi18n-lib.h include.
	Fix bug #511905

==================== 2.21.90 ====================

2008-01-25  Soren Sandmann  <sandmann@redhat.com>
	
	* libgnomeui/gnome-bg.h: Add unstable API guard 

	* gnome-bg.c: define GNOME_DESKTOP_USE_UNSTABLE_API before
	including gnome-bg.h

==================== 2.21.5 ====================

==================== 2.21.4 ====================

Tue Nov 13 17:48:13 2007  Søren Sandmann  <sandmann@redhat.com>

	* libgnomeui/gnome-bg.h: New file
	* gnome-bg.c: New file

	Add GnomeBG API. See bug 488039

==================== 2.21.2 ====================

==================== 2.20.1 ====================

2007-09-25  Glynn Foster  <glynn.foster@sun.com>

	* gnome-desktop-item.c: (make_environment_for_screen): Use 
        g_strfreev () to free the vector instead of g_free () so we
        don't leak. Help from Dan Mick, the libumem hero.

==================== 2.20.0 ====================

==================== 2.19.92 ====================

==================== 2.19.90 ====================

==================== 2.19.6 ====================

==================== 2.19.5 ====================

2007-07-01  Vincent Untz  <vuntz@gnome.org>

	* gnome-ditem-edit.c: (make_advanced_page): use
	gtk_widget_set_tooltip_text()

==================== 2.19.4 ====================

2007-06-14  Vincent Untz  <vuntz@gnome.org>

	* gnome-ditem-edit.c: (make_advanced_page): migrate to GtkTooltip
	(gnome_ditem_edit_destroy): updated
	(destroy_tooltip): kill
	(set_tooltip): kill

2007-06-14  Vincent Untz  <vuntz@gnome.org>

	* gnome-desktop-item.c: (startup_timeout): changed to use
	g_timeout_add_seconds
	(add_startup_timeout): use g_timeout_add_seconds()

==================== 2.19.3.1 ====================

==================== 2.19.3 ====================

==================== 2.19.2 ====================

==================== 2.18.1 ====================

2007-03-28  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-hint.c: Include <glib/gi18n-lib.h> to fix
	undefined reference to '_'.

==================== 2.18.0 ====================

2007-03-05  Vincent Untz  <vuntz@gnome.org>

	* libgnome-desktop/test-ditem.c:
	* libgnome-desktop/test-hint.c:
	* libgnome-desktop/test-ditem-edit.c:
	* libgnome-desktop/gnome-hint.c:
	* libgnome-desktop/libgnomeui/gnome-hint.h: add license headers
	Fix bug #413734

==================== 2.17.92 ====================

2007-02-12  Vincent Untz  <vuntz@gnome.org>

	* gnome-desktop-item.c: (gnome_desktop_item_set_launch_time):
	don't check the value of timestamp since gtk_get_current_event_time()
	can return 0.
	Fix bug #397185. Thanks to Padraig O'Briain <padraig.obriain@sun.com>

==================== 2.17.91 ====================

==================== 2.17.90 ====================

==================== 2.17.5 ====================

2006-11-13  Vincent Untz  <vuntz@gnome.org>

	* gnome-ditem-edit.c:
	* gnome-hint.c:
	* libgnomeui/gnome-ditem-edit.h:
	* libgnomeui/gnome-hint.h: deprecate this stuff

2006-11-13  Vincent Untz  <vuntz@gnome.org>

	* test-icon-theme.c: kill this useless test

2006-11-13  Vincent Untz  <vuntz@gnome.org>

	Make it possible to let caller handle reaping child process
	Patch by Tom Tromey <tromey@redhat.com>
	Fix bug #360045

	* gnome-desktop-item.c (ditem_execute): Added do_not_reap_child
	argument.
	(gnome_desktop_item_launch_on_screen_with_env): Handle new flag.
	* libgnome/gnome-desktop-item.h (GnomeDesktopItemLoadFlags): Added
	GNOME_DESKTOP_ITEM_LAUNCH_DO_NOT_REAP_CHILD.

==================== 2.17.2 ====================

==================== 2.16.1 ====================

==================== 2.16.0 ====================

==================== 2.15.92 ====================

==================== 2.15.91 ====================

2006-08-05  Vincent Untz  <vuntz@gnome.org>

	* gnome-desktop-item.c: (gnome_desktop_item_find_icon): use
	gtk_icon_theme_get_default() instead of gtk_icon_theme_new() when no
	icon theme is specified so that the currently in use icon theme is
	used to find the icon (else, it just looks in hicolor).

==================== 2.15.90 ====================

==================== 2.15.4 ====================

==================== 2.15.2 ====================

==================== 2.15.1 ====================

2006-04-11  Vincent Untz  <vuntz@gnome.org>

	* gnome-desktop-item.c: (ditem_execute): don't crash if screen is
	NULL. Fix bugs #165689, #338033.

2006-03-26  Vincent Untz  <vuntz@gnome.org>

	* gnome-desktop-item.c:
	* gnome-ditem-edit.c: fix some API documentation

2006-03-25  Vincent Untz  <vuntz@gnome.org>

	* gnome-desktop-item.c: (ditem_execute): use
	gdk_x11_display_get_user_time() to get the launch time
	Fix bug #165689

2006-03-25  Vincent Untz  <vuntz@gnome.org>

	* gnome-ditem-edit.c: (ensure_item_localefiled): new
	(gnome_ditem_edit_sync_ditem): add a C name/comment/genericname if
	there's none, copied from the locale value
	Fix bug #107854

2006-03-25  Vincent Untz  <vuntz@gnome.org>

	* gnome-desktop-item.c: (do_percent_subst): update the comments
	because the .desktop spec is better now :-)

2006-03-25  Vincent Untz  <vuntz@gnome.org>

	* gnome-desktop-item.c: (set_locale): if we add an attribute with a
	new locale, save the locale into our list of languages
	Fix bug #86169
	* gnome-ditem-edit.c: (setup_translations_list): sort by languages

2006-03-25  Vincent Untz  <vuntz@gnome.org>

	* gnome-desktop-item.c:
	(gnome_desktop_item_launch_on_screen_with_env): if the .desktop file
	is a link, make a canonical URI before launching it
	* gnome-ditem-edit.c: (gnome_ditem_edit_sync_ditem): if the .desktop
	file is a link, make a canonical URI before saving it
	This will help with bug #328317

==================== 2.14.0 ====================

2006-03-06  Vincent Untz  <vuntz@gnome.org>

	* gnome-ditem-edit.c: (gnome_ditem_edit_clear): don't use
	gtk_entry_set_text() on a GnomeFileEntry. Fix bug #332287

==================== 2.13.92 ====================

==================== 2.13.91 ====================

==================== 2.13.90 ====================

2006-01-17  Vincent Untz  <vuntz@gnome.org>

	* gnome-ditem-edit.c: (gnome_ditem_edit_sync_display): don't crash if
	no icon file can be found for the .desktop file (critical warning)

==================== 2.13.5 ====================

2006-01-11  Vincent Untz  <vuntz@gnome.org>

	* gnome-desktop-item.c: (ditem_execute): if GNOME_DESKTOP_ITEM_PATH
	value exists but the directory doesn't, ignore the value
	Fix bug #326261

2006-01-05  Vincent Untz  <vuntz@gnome.org>

	Working directory can be explicitly chosen in .desktop files.
	Fix bug #320990.

	* gnome-desktop-item.c: (ditem_execute): use GNOME_DESKTOP_ITEM_PATH
	when available for application .desktop files.

==================== 2.13.4 ====================

==================== 2.13.3 ====================

==================== 2.13.2 ====================

2005-11-04  Mark McLoughlin  <mark@skynet.ie>

	Fixes build on Darwin - bug #124277

	* gnome-desktop-item.c:
	(make_spawn_environment_for_sn_context),
	(make_environment_for_screen): Use g_listenv() instead
	of environ

==================== 2.13.1 ====================

==================== 2.12.0 ====================

==================== 2.11.92 ====================

==================== 2.11.90 ====================

2005-07-25  Mark McLoughlin  <mark@skynet.ie>

	Partially based on patch from Christian Persch <chpe@gnome.org>
	in bug #156687

	* gnome-desktop-item.c:
	(gnome_desktop_item_find_icon): if we're passed a GtkIconTheme
	instead of a GnomeIconTheme, use the GtkIconTheme API to lookup
	the icon.
	
	* libgnome/gnome-desktop-item.h: allow find_icon() and get_icon()
	take a GtkIconTheme.

==================== 2.11.5 ====================

==================== 2.11.4 ====================

==================== 2.11.3 ====================

==================== 2.11.1 ====================

2005-05-11  Frederic Crozat  <fcrozat@mandriva.com>

	* gnome-desktop-item.c: (init_i18n), (gnome_desktop_item_new):
	* gnome-ditem-edit.c: (gnome_ditem_edit_class_init):
	Initialize i18n before using it, remove textdomain
	call, it is evil in a library.

2005-05-09  Dennis Cranston <dennis_cranston@yahoo.com>

	* libgnome/gnome-desktop-item.h: s/file_id/basename.
	
2005-05-09  Dennis Cranston <dennis_cranston@yahoo.com>

	* gnome-desktop-item.c, libgnome/gnome-desktop-item.h:
	(gnome_desktop_item_new_from_basename): add.
	
==================== 2.10.1 ====================

2005-04-13  Mark McLoughlin  <mark@skynet.ie>

	Patch from Young-Ho Cha <ganadist@chollian.net> in bug #171302

	* gnome-ditem-edit.c: (gnome_ditem_edit_class_init):
	initialize i18n

2005-04-13  Mark McLoughlin  <mark@skynet.ie>

	Based on patch from Ryan Lortie <desrt@desrt.ca>

	* gnome-ditem-edit.c: (get_language): use g_get_language_names()
	instead of gnome_i18n_get_language_list()

==================== 2.10.0 ====================

==================== 2.9.92 ====================

==================== 2.9.91 ====================

2005-01-30  Mark McLoughlin  <mark@skynet.ie>

	Based on a patch from Elijah Newren in bug #150910
	to add gnome_desktop_item_set_launch_time()

	* gnome-desktop-item.c, libgnome/gnome-desktop-item.h:
	(gnome_desktop_item_set_launch_time): add.
	(gnome_desktop_item_new): explicitly initialize launch_time.
	(gnome_desktop_item_copy): copy launch_time.
	(ditem_execute): if launch_time is set, use that instead
	of gtk_get_current_event_time()

==================== 2.9.90.1 ====================

==================== 2.9.90 ====================

==================== 2.9.4 ====================

2004-12-24  Vijaykumar Patwari <vijaykumar.patwari@wipro.com>

	* libgnome-desktop/gnome-desktop-item.c (make_args): Don't 
	append invalid uris into the list. Fixes bug#155705.

==================== 2.9.3 ====================

==================== 2.9.2 ====================

==================== 2.8.1 ====================

2004-09-14  Mark McLoughlin  <mark@skynet.ie>

	Patch from Brian Ryner <bryner@brianryner.com> in bug #152556

	* gnome-desktop-item.c: (do_percent_subst): make %k work
	again.

==================== 2.8.0 ====================

==================== 2.7.92 ====================

==================== 2.7.91 ====================

2004-08-05  Mariano Suárez-Alvarez <mariano@gnome.org>

	* gnome-desktop-item.c: move the declaration of environ out of a
	preprocessor conditional block. Fixes bug #149340.

2004-08-04  Vincent Untz  <vincent@vuntz.net>

	* gnome-desktop-item.c: (gnome_desktop_item_set_strings): the last
	argument of g_strconcat should be NULL. Should fix bug #146526.

2004-08-04  Mark McLoughlin  <mark@skynet.ie>

	* gnome-desktop-item.c: (ditem_execute): free
	the argument vector. Fixes bug #149249.

==================== 2.7.90 ====================

==================== 2.7.4 ====================

2004-07-19  Mark McLoughlin  <mark@skynet.ie>

	Hopefully a good enough fix for bug #136278.
	
	* gnome-desktop-item.c:
	(ditem_execute): pass the value of gtk_get_current_event_time()
	to sn_launcher_context_initiate().
	
2004-07-19  Mark McLoughlin  <mark@skynet.ie>
	
	* gnome-desktop-item.c: (make_environment_for_screen):
	copy and paste this from egg-spawn.c. Its in gdk now,
	but this particular function isn't part of the public
	API.

	* Makefile.am, egg-spawn.[h]: wipe the egg from my face.

==================== 2.7.3 ====================

==================== 2.7.1 ====================

2004-05-13  Mark McLoughlin  <mark@skynet.ie>

	Patch from Jorn Baayen <jorn@nl.linux.org> in bug #135481.

	* gnome-ditem-edit.c: (make_advanced_page): Make the languages
	treeview use GTK_SHADOW_IN.

==================== 2.6.1 ====================

==================== 2.6.0.1 ====================

==================== 2.6.0 ====================

==================== 2.5.92 ====================

==================== 2.5.91 ====================

2004-03-02  Mark McLoughlin  <mark@skynet.ie>

	Patch from Brian Skahan <bskahan@etria.com> to make the launcher
	editor use GtkFileChooser. Fixes bug #135965.

	* gnome-ditem-edit.c: (make_easy_page): Use new FileChooser in the
	  entry
	    
2004-02-29  Mark McLoughlin  <mark@skynet.ie>

	Fixes bug #135629. Basically, dragging and dropping a file
	from an NFS mounted dir onto a launcher using '%f' wouldn't
	work because we were using uri_is_local() rather than checking
	if its a file: URI. Root cause identified by Dan Williams.

	* gnome-desktop-item.c: Don't use uri_is_local(), use
	get_local_path() which has the semantics we require. Re-work
	the code substitution code substantially to cleanup and not
	have several different functions with only slight differences.

==================== 2.5.90 ====================

==================== 2.5.5 ====================

==================== 2.5.4 ====================

2004-01-16  Mark McLoughlin  <mark@skynet.ie>

	Patch from The Written Word in bug #131607.

	* gnome-ditem-edit.c: include libgnome/gnome-i18n.h

==================== 2.5.3 ====================

==================== 2.5.2 ====================

==================== 2.5.1 ====================

2003-11-11  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: use $(DISABLE_DEPRECATED_FLAGS).

2003-11-03  Padraig O'Briain  <padraig.obriain@sun.com>

	* gome-ditem-edit.c: Remove unnecessary accessibility code.
	Fix bug #126199.

==================== 2.4.1.1 ====================

2003-10-15  Mark McLoughlin  <mark@skynet.ie>

	Fix for bug #122935 from Danilo Segan.

	* gnome-desktop-item.c: (insert_key): remove the "modifier
	whacking" code. This makes the matching conformant to the
	statement "If LC_MESSAGES does not have a MODIFIER  field,
	then no key with a modifier will be matched" in the
	desktop-entry-spec.

==================== 2.4.1 ====================

Fri Sep 19 15:49:13 2003  George Lebl <jirka@5z.com>

	* gnome-hint.c: use g_random_int_range instead of srandom and
	  random.  Fixes compile warning since the headers weren't right
	  I suppose and is nicer overall anyway.

2003-09-19  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gnome-desktop-item.c (gnome_desktop_item_new): 
	use translated message for "No name" in launcher GUI, but
	No string break. Fix bug #122386.
==================== 2.4.0 ====================

==================== 2.3.90 ====================

==================== 2.3.7 ====================

==================== 2.3.6.1 ====================

==================== 2.3.6 ====================

Tue Aug 05 15:22:05 2003  George Lebl <jirka@5z.com>

	* gnome-ditem-edit.c: fix the theme vs. custom icon bug here instead
	  of the panel.  This is the proper place to fix it anyway.  Also
	  theme the case where there is no icon set first.  The icon
	  entry should die and there should be a proper icon selection widget
	  here though that handles.

==================== 2.3.4 ====================

==================== 2.3.3.1 ====================

2003-06-19  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-ditem-edit.c:  Remove mnemonic conflict.

2003-06-18  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-ditem-edit.c: Adjust widget padding according to
	the HIG. Add many mnemonics and use GTK_SHADOW_NONE for 
	the scrolled window.

==================== 2.3.3 ====================

2003-06-02  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gnome-desktop-item.c (ditem_execute):
	convert .desktop contents to filesystem's filenames.(#107700)

2003-05-09  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* gnome-desktop-item.c: (do_percent_bubst): Maintian the 
	special characters. Fixes 103012 
 
2003-03-11  Mark McLoughlin  <mark@skynet.ie>

	* gnome-ditem-edit.c: (setup_option): fix blooper I made
	when committing a patch from Arvind. Tracked down by
	Kalle Olavi Niemitalo in bug #130240.

2003-03-10  Mark McLoughlin  <mark@skynet.ie>

	* gnome-desktop-item.c: (make_spawn_environment_for_sn_context):
	patch from  fourdan@xfce.org for fix memory corruption when
	DESKTOP_STARTUP_ID is already defined. bug #105834.

2003-03-06  Andrew Sobala  <aes@gnome.org>

	* gnome-desktop-item.c: (gnome_desktop_item_new_from_uri): remove
	mime type checking. Fixes bug #105222.

2003-02-27  Arvind Samptur <arvind.samptur@wipro.com>
	* gnome-ditem-edit.c (translations_add) : Create a GnomeDesktopItem
	if it does not exists before checking up for locale stuff.
	Fixes the crash. #107120

2003-01-22  Dan Mills  <thunder@ximian.com>
	* Makefile.am: add gnome-desktop-i18n.h to
	libgnome_desktop_2_la_SOURCES.

2003-01-17  Havoc Pennington  <hp@redhat.com>

	* gnome-desktop-item.c (ditem_execute): fix the previous fix, 
	we weren't setting DESKTOP_STARTUP_ID properly because we need to
	do that after we set the binary name and initiate the sequence
	(make_spawn_environment_for_sn_context): handle case where
	DESKTOP_STARTUP_ID is already set, since we may now call this
	function more than once.

2003-01-16  Havoc Pennington  <hp@redhat.com>

	* gnome-desktop-item.c (ditem_execute): set the "binary name"
	field of the startup notification to just argv[0], not the whole
	command line. Required moving initiation later in the function.

2002-12-05  Havoc Pennington  <hp@redhat.com>

	* gnome-desktop-item.c (make_spawn_environment_for_sn_context):
	the array was allocated one too small. Oops.

2002-12-03  Mark McLoughlin  <mark@skynet.ie>

	* gnome-desktop-item.c: (ditem_execute): fix bogus free()s.

2002-12-03  Mark McLoughlin  <mark@skynet.ie>

	* egg-spawn.c: (egg_make_spawn_environment_for_screen):
	sync with libegg.

2002-11-30  Havoc Pennington  <hp@pobox.com>

	* gnome-desktop-item.c (ditem_execute): doh, we have to initiate
	the startup sequence prior to exec'ing the child, otherwise we
	can't set DESKTOP_STARTUP_ID.
	(ditem_execute): end startup sequence if it fails
	(ditem_execute): add to envp instead of using child setup func
	(ditem_execute): get localized name from the desktop file, not 
	non-localized.
	(ditem_execute): add a timeout for the startup sequence as a last 
	fallback if it doesn't properly end, and no one else times it out.

2002-10-10  Satyajit Kanungo <satyajit.kanungo@wipro.com>

	* gnome-desktop-item.c: Added a new API gnome_desktop_item_drop_uri_list_with_env()
	  which passes the child's environment to the execution of the specified item.
	  Same as gnome_desktop_item_drop_uri_list() with an additional parameter env.
	  To be used by gnome panel  for launching the item in different head.
	  Fixes bug #94258.

	* gnome-desktop-item.h: Added the declarion of the above API.

2002-11-28  Mark McLoughlin  <mark@skynet.ie>

	Add a ditem launch variant with screen and
	workspace args for startup notification support.

	* Makefile.am, egg-spawn.[ch]: add egg-spawn
	files to the build.

	* gnome-desktop-item.[ch]:
	(ditem_execute): add screen and workspace args.
	(gnome_desktop_item_launch_on_screen_with_env): move
	from launch_with_env.
	(gnome_desktop_item_launch),
	(gnome_desktop_item_launch_with_env),
	(gnome_desktop_item_launch_on_screen):
	call on_screen_with_env.

2002-11-27  Mark McLoughlin  <mark@skynet.ie>

	* gnome-ditem-edit.c: (setup_option):
	s/MimeType/MIME Type/. #83965.

2002-10-31  Havoc Pennington  <hp@pobox.com>

	* gnome-desktop-2.0.pc.in (Requires): add
	@STARTUP_NOTIFICATION_PACKAGE@

2002-10-31  Mark McLoughlin  <mark@skynet.ie>

	* gnome-desktop-item.c: (ditem_execute): build fixes.

2002-10-29  Havoc Pennington  <hp@pobox.com>

	* gnome-desktop-item.c (ditem_execute): add startup notification
	support.

2002-09-27  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	* gnome-icon-loader.c:
	* gnome-icon-loader.h:
	* gnome-theme-parser.c:
	* gnome-theme-parser.h:
	Removed. Moved to libgnomeui
	
	* gnome-desktop-item.c:
	Update to use the stuff moved to libgnomeui

2002-09-18  Alexander Larsson  <alexl@redhat.com>

	* test-icon-theme.c:
	Test display name

	* gnome-icon-loader.[ch]:
	Added icon display name support
	Removed unused code.

2002-09-12  Alexander Larsson  <alexl@redhat.com>

	* gnome-icon-loader.[ch]:
	Add gnome_icon_loader_get_allow_svg.

2002-09-11  Alexander Larsson  <alexl@redhat.com>

	* gnome-icon-loader.[ch]:
	Add gnome_icon_loader_has_icon and gnome_icon_loader_lookup_icon_extended.
	Change GnomeIconData to have simpler memory management, nothing is using
	it yet anyway.

2002-08-06  Mark McLoughlin  <mark@skynet.ie>

	* gnome-icon-loader.c:
	(setup_gconf_handler): unref the GConfClient.
	(remove_gconf_handler): ditto.
	(gnome_icon_loader_finalize): use remove_gconf_handler.

2002-08-06  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: define pixmaps and icons dir.

	* gnome-icon-loader.c:
	(remove_gconf_handler): remove unused variables.
	(gnome_icon_loader_init): add pixmaps and icons
	dir for the prefix we are installed into.
	(load_themes): don't stat the icons, we don't
	do that for themed icons anyway. Actually check
	which format we are favouring, should fix #89245.
	(suffix_from_name): impl.
	(scan_directory): use it here.

2002-07-31  Michael Meeks  <michael@michael.home>

	* gnome-desktop-item.c (ditem_save): don't
	dereference a bogus handle, if the ditem open 
	for write doesn't succeed [ no permission eg. ]

2002-07-30  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: pass -version-info $(LT_VERSION)
	to libtool.

2002-07-28  Frank Worsley  <fworsley@shaw.ca>

	* gnome-desktop-item.c: (ditem_execute),
	(gnome_desktop_item_launch_with_env):
	* gnome-desktop-item.h:
	add new APPEND_PATHS launch flag

Thu Jul 25 14:56:20 2002  George Lebl <jirka@5z.com>

	* gnome-desktop-item.c:  Remove numeric canonization as it was
	  changing things and was likely having other effects besides that.
	  Also truncate the file after opening it before writing it.  Fixes
	  #84196

2002-07-12  Mark McLoughlin  <mark@skynet.ie>

	Apply modified version of a patch from Frank Worsley
	to make sure the 'easy' page is updated when editing
	the current locale in the advanced page. #87451.

	* gnome-desktop-item.[ch]: (gnome_desktop_item_get_attr_locale):
	implement method to find the locale the is used for a given
	attribute.

	* gnome-ditem-edit.c: (translations_add): compare this to the locale
	we are editing.

2002-07-12  Mark McLoughlin  <mark@skynet.ie>

	* gnome-desktop-item.c: (type_from_string): be a bit
	smarter with strcmps, switch on the first letter and
	then compare.

2002-06-19  Arvind Samptur <arvind.samptur@wipro.com>

	* gnome-ditem-edit.c: (setup_option) Get the
	menuitem index and set the option menu with
	gtk_option_menu_set_history. Fixes #85782

2002-07-10  jacob berkman  <jacob@ximian.com>

	* gnome-desktop-item.c (gnome_desktop_item_new_from_uri): 
	(gnome_desktop_item_new_from_uri):
	(gnome_desktop_item_get_file_status):
	(gnome_desktop_item_set_location): follow symlinks (bug #86755)

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

        * gnome-desktop-item.h, gnome-ditem-edit.c:
	Patch from Glynn Foster to use X-GNOME-DocPath
	instead of DocPath.  Fixes #87431.

2002-05-21  Jorn Baayen  <jorn@nl.linux.org>

	* libgnome-desktop/gnome-ditem-edit.c: use GTK_SHADOW_IN
	for the language treeview, remove useless and inconsistent
	frames.

2002-06-21  Mark McLoughlin  <mark@skynet.ie>

	* gnome-desktop-item.[ch]:
	(ditem_execute): pass in envp.
	(gnome_desktop_item_launch): use_with_env.
	(gnome_desktop_item_launch_with_env): new variant
	function to allow enviroment for launched command
	to be specified.

2002-06-18  Mark McLoughlin  <mark@skynet.ie>

        * Makefile.am: use $(prefix)/$(DATADIRNAME)/locale instead
        of $datadir/locale for locale directory location. Reported
        by Hidetoshit Tajima in #83623.

2002-05-23  Alex Larsson <alexl@redhat.com>

	reviewed by: mark@skynet.ie

	* gnome-desktop-item.c: (gnome_desktop_item_find_icon),
	(gnome_desktop_item_get_icon):
	* gnome-desktop-item.h:
	* gnome-ditem-edit.c: (gnome_ditem_edit_sync_display):
	Use gnomeIconLoader to load icons.
	Changes the API, but if you don't know what you need to
	do, just pass NULL for icon_loader to gnome_desktop_item_get_icon.

2002-05-20  Alex Larsson <alexl@redhat.com>

	* gnome-icon-loader.c: (gnome_icon_loader_init),
	(gnome_icon_loader_set_allow_svg), (insert_theme), (load_themes),
	(scan_directory), (theme_subdir_load):
	* gnome-icon-loader.h:
	Add flag to control if svg:s are allowed.
	Implement theme inheritance (oops!)

2002-05-20  Alex Larsson <alexl@redhat.com>

	* gnome-icon-loader.c: 
	* gnome-icon-loader.h:
	Read default theme from gconf.
	Emit new "changed" signal when the icon loader changes.
	Change set_current_theme to set_custom_theme (overrides
	the system setting).
	
	* test-icon-theme.c: (main):
	Update to new api

2002-05-16  Alex Larsson <alexl@redhat.com>

	* gnome-icon-loader.h:
	* gnome-icon-loader.c:
	(gnome_icon_loader_get_search_path),
	(gnome_icon_loader_append_search_path),
	(gnome_icon_loader_prepend_search_path):
	Add new functions for path handling.
	
	* gnome-theme-parser.c:
	* gnome-theme-parser.h:
	Add copyright info.
	Remove some declarations of unimplemented functions.

2002-05-14  Alex Larsson  <alexl@redhat.com>

	* gnome-icon-loader.c (insert_theme, theme_subdir_load):
	Fix stupid strcmp bugs.

2002-05-11  Kjartan Maraas  <kmaraas@gnome.org>

	* test-ditem.c: #include <config.h>. Fixes #81418.
	From Hidetoshi Tajima <hidetoshi.tajima@sun.com>
	
2002-05-09  Alex Larsson <alexl@redhat.com>

	* Makefile.am:
	* gnome-icon-loader.c:
	* gnome-icon-loader.h:
	* gnome-theme-parser.c: 
	* gnome-theme-parser.h:
	* test-icon-theme.c:
	New files. Implements the common icon theme spec.
	http://www.freedesktop.org/standards/icon-theme-spec.html

Fri Apr 19 18:16:08 2002  George Lebl <jirka@5z.com>

	* gnome-desktop-item.c: Expand parameters before parse so that we
	  handle "%f" vs %f and such random fun.  Now we are likely very
	  similar to handling simple cases to KDE, though we handle quite
	  weird cases

	* test-ditem.c: add test cases.

Fri Apr 19 17:04:20 2002  George Lebl <jirka@5z.com>

	* gnome-desktop-item.c: For now ignore %m and %i.  This is broken,
	  and doesn't follow the spec but that's the only way to launch
	  all current KDE .desktops without breaking the spec.  This doesn't
	  fix the bug, just a temporary fix.  Perhaps it would be good if
	  both %m and %i just died, they are pretty useless to begin with.

Fri Apr 19 16:41:52 2002  George Lebl <jirka@5z.com>

	* gnome-ditem-edit.c: change the combo box to an option menu 1) this
	  has less weird semantics 2) only the standard types are allowed
	  here anyway.  Though we handle editting of files with a
	  non-standard type, just not creating one.

2002-04-15  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-ditem.edit.c: Add a call to bindtextdomain() to make it work
	in the case where you right click on something in a menu and edit it.
	Also makes localization work for the same right click menu.
	
Fri Apr 12 14:08:36 2002  George Lebl <jirka@5z.com>

	* gnome-ditem-edit.c: partly fix #75379, by changing the exec
	  label and not the type label (DOH!)

Fri Apr 12 13:17:21 2002  George Lebl <jirka@5z.com>

	* gnome-ditem-edit.c: The command box is now a GnomeFileEntry
	  so that we have a browse button

2002-03-28  Mark McLoughlin  <mark@skynet.ie>

	* gnome-ditem-edit.c:
	(table_attach_list): kill unused.
	(make_easy_page): rename from fill_easy_page and actually
	create the table and frame here.
	(make_advanced_page): rename from fill_advanced_page and redo
	how the dialog is laid out (70692)
	(make_page): kill.
	(gnome_ditem_edit_instance_init): upd for above changes.
	(gnome_ditem_edit_sync_display), (gnome_ditem_edit_sync_ditem),
	(gnome_ditem_edit_clear): fix up the GenericName stuff ..
	whatever the hell it is ..

Wed Mar 27 19:59:11 2002  George Lebl <jirka@5z.com>

	* gnome-ditem-edit.c: some UI tweaks and fixes.  Fix the front page,
	  make the advanced page less wide by squishing the
	  translated name/comment/generic name fields.  Also reverse the
	  order of the thingies in the popdown combo thing.

Wed Mar 27 10:39:24 2002  George Lebl <jirka@5z.com>

	* gnome-desktop-item.[ch], gnome-ditem-edit.c: add generic name
	  field, make escapes the same as in the spec as proposed in the
	  changes from havoc, and some minor other fixes

2002-03-27  Mark McLoughlin  <mark@skynet.ie>

	* gnome-desktop-item.c: (append_app_arg): strcmp does return
	zero if the strings are the same ... right ?

2002-03-18   Diego González  <dggonz@yahoo.com>

	* libgnome-desktop/gnome-desktop-item
	(gnome_desktop_item_set_location_file): fix, so that it stores the
	name of the file and doesn't get into an infinite loop.

2002-03-11  Richard Hestilow  <hestilow@ximian.com>

	* gnome-desktop-item.c (insert_key): Only chomp if val != NULL.

2002-03-05  Jayaraj Rajappan	<jayaraj.rajappan@wipro.com>

	* gnome-ditem-edit.c : Set atk relation as part of accessibility changes
	* gnome-hint.c : Set atk relation and provide tooltips as part of
	  accessibility changes

2002-02-28  Darin Adler  <darin@bentspoon.com>

	* gnome-desktop-item.c: (insert_key): Chomp trailing spaces
	as we read in values from the file.

2002-02-28  Mark McLoughlin  <mark@skynet.ie>

	* gnome-ditem-edit.c: (translations_add): clear the entries
	after you click 'Add'.

2002-02-28  Mark McLoughlin  <mark@skynet.ie>

	* gnome-desktop-item.h: add GNOME_DESKTOP_ITEM_DOC_PATH.

	* gnome-ditem-edit.c:
	(count_rows): kill unused.
	(translations_add): check the return value of get_iter_first.
	(get_language): tidy up.
	(gnome_ditem_edit_sync_ditem): cleanup. Rationalise the
	treeview handling.

2002-02-28  Mark McLoughlin  <mark@skynet.ie>

	* gnome-ditem-edit.c:
	(set_iter_nth_row): kill.
	(translations_select_row): connect this to the "changed"
	signal on the GtkTreeSelection and just use
	gtk_tree_model_get.
	(count_rows): pass in the model.
	(translations_add): clean up a lot and use the treeview
	correctly.
	(setup_translations_list): impl helper func.
	(fill_advanced_page): cleanup. Fix some bugs.
	(gnome_ditem_edit_sync_display): set the icon entry filename
	correctly.
	(gnome_ditem_edit_sync_ditem): upd.

2002-02-27  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: build test-ditem-edit.

	* test-ditem-edit.c: split out from old test code
	in gnome-ditem-edit.c and port.

	* gnome-ditem-edit.c: cleanups.

2002-02-25  Arvind S N  <arvind.samptur@wipro.com>

	* gnome-ditem-edit.c: (fill_advanced_page): emit changed
	signal when translated name/comment entries change.

2002-02-26  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add WARN_CFLAGS.

	* gnome-desktop-item.c:
	(readbuf_rewind): fix error param to be a GError **.
	(replace_percentsign): kill unused.
	(ditem_execute), (gnome_desktop_item_get_file_status),
	(gnome_desktop_item_clear_localestring), (get_encoding):
	kill unused variables.

	* gnome-ditem-edit.c: (count_rows): make static.

	* gnome-hint.c: clean up and fix warnings + bugs.

	* test-ditem.c: (test_ditem): kill unused variables.

2002-02-25  Mark McLoughlin  <mark@skynet.ie>

	* gnome-ditem-edit.c:
	(translations_add): create the tree with a list model so as
	to not spew warnings. Random cleanups.

2002-02-20  Darin Adler  <darin@bentspoon.com>

	* gnome-desktop-item.h:
	* gnome-desktop-item.c: (readbuf_getc): Handle case where you try
	to keep reading and the handle is NULL by treating it as EOF. This
	is also the case at the end of the string. Set a new
	"past_first_read" flag, used to optimize rewinding for the vast
	majority of desktop files that fit entirely in the buffer.
	(readbuf_gets): More g_return_if_fail.
	(readbuf_open): Add a GError parameter, and include the
	GnomeVFSResult in the error. Allocate the buf, which is now a
	separate object.
	(readbuf_new_from_string): New function, which creates a readbuf
	from an existing string.
	(readbuf_rewind): Reset eof and pos to make this actually work.
	Check the past_first_read flag to avoid re-reading if the entire
	file fits in the buffer. Reset size to trigger a read if we decide
	to re-read the buffer. Make it try to reopen the file instead of
	just malfunctioning if the GnomeVFSFileHandle is already NULL.
	(readbuf_close): Free the buf if needed.
	(read_sort_order): Pass NULL for GError * to readbuf_open.
	(gnome_desktop_item_new_from_uri): Use the GnomeVFSResult for the
	error code, rather than errno. Get rid of unneeded
	gnome_vfs_file_info_clear just before gnome_vfs_file_info_unref.
	Use the new readbuf_open, since ditem_load now takes a ReadBuf *
	instead of a URI.
	(gnome_desktop_item_new_from_string): New.
	(get_encoding): Do the check for valid UTF-8 as we read the file
	rather than re-reading it again at the end. Also get the URI from
	the ReadBuf rather than passing it separately for the "guess by
	location" hack, which is not really necessary, since the validate
	heuristic will get it right anyway. Also handle the case of a NULL
	URI properly.
	(setup_type): Rename filename to uri to make it clearer what's
	really going on here.
	(sanitize): Handle the case of a NULL URI. Also add a fallback
	name for the case where you have neither a URI nor a name in the
	file. Also fix a storage leak.
	(ditem_load): Take a ReadBuf * parameters instead of a URI, so we
	can share this between the file and non-file cases. Also fix an
	error format string to avoid segfault.
	(ditem_save): Share the error handling code for gnome_vfs_open
	and gnome_vfs_create since they did the same thing. Also change
	to use GnomeVFSResult instead of errno.

2002-02-14  Nitin Madhukar Yewale <nitin.yewale@wipro.com>

	reviewed by: Mark McLoughlin <mark@skynet.ie>

	* gnome-ditem-edit.c, gnome-hint.c, test-hint.c: port
	to non-deprecated functions.

2002-02-14  Shivram U <shivaram.upadhyayula@wipro.com>

	reviewed by: Mark McLoughlin <mark@skynet.ie>

	* gnome-ditem-edit.c: Changed "Command:" label text to
	"Type:". (#70692)

2002-02-11  Mark McLoughlin  <mark@skynet.ie>

	* gnome-desktop-item.c: (get_encoding): don't like uri.

	* gnome-ditem-edit.c: (gnome_ditem_edit_sync_display): free
	icon file name.

Fri Feb 01 17:37:09 2002  George Lebl <jirka@5z.com>

	* gnome-desktop-item.c: make sure to notice errors on save

	* test-ditem.c: fix the get_entry_type check and fix saving

Tue Jan 22 16:10:58 2002  George Lebl <jirka@5z.com>

	* gnome-desktop-item.c: when testing for tryexec, just do an
	  access (foo, X_OK) if it's an absolute filename

Wed Jan 16 18:34:55 2002  George Lebl <jirka@5z.com>

	* gnome-desktop-item.[ch]: fix error quark, and start things in
	  home directory unless a flag is passed

2002-01-16 Stephen Browne <stephen.browne@sun.com>
	
	* gnome-desktop-item.c

	gnome_desktop_item_find_icon should return NULL if icon is 
	empty string

2002-01-08  Glynn Foster  <glynn.foster@sun.com>

	* gnome-desktop-item.c: (ditem_execute): Add G_SPAWN_SEARCH_PATH
	to g_spawn_async call. Thanks to jschurger for fix.

Fri,  4 Jan 2002 22:28:51 -0500  Frank Belew <frb@ximian.com>

	* Makefile.am: remove -I$(includedir), bad things happen when 
	  prefix is the same as gnome1 and that gets added so early on the
	  list

Thu Dec 20 15:43:21 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.c: use g_spawn and return some cool errors from
	  g_spawn and g_shell on exec

Wed Dec 19 19:52:53 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.c: actually make looking for kde icons work,
	  and don't check the kde stuff if we've already found a gnome one,
	  also ignore dot directories to avoid infinite loops and such.

Wed Dec 19 18:34:00 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.c: s/G_DIR_SEPARATOR/G_DIR_SEPARATOR_S/,
	  LONG LIVE TYPE UNSAFETY!

Wed Dec 19 18:23:17 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.[ch]: add a find_icon function which
	  doesn't work only on desktop items but no matter how you got the
	  icon name.  Also deal with sizes and only look in kde hicolor
	  dirs.

2001-12-16  Gediminas Paulauskas <menesis@delfi.lt>

	* gnome-desktop/gnome-ditem-edit.c: get translations from
	GETTEXT_PACKAGE domain and with UTF-8 codeset, so that translations
	work when library is used outside of gnome-core.

Fri Dec 14 16:43:23 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.c: simplify and complete the %? substitution.
	  Now %f and friends behave in a more predictable way.  If there
	  are multiple instances on the command line you get the
	  same file.  This also fixes other corner cases and simplifies what
	  we do.  It's also more predictable, and makes more sense.  Things
	  may still be weird if you use both %u and %f on the same line,
	  but then you deserve what you get.

Fri Dec 14 15:58:06 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.[ch], gnome-ditem-edit.[ch]: added some needed
	  API.  One for setting location as file, and setting a directory
	  only editor and setting initial type string.

Sun Dec 09 15:22:03 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.c: actually set the real_argc for launching and
	  also actually add elements to the argv array

Sat Dec 08 11:27:35 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.[ch]: Make launching standards compliant and
	  realize that the standard sucks donkeyballs.  It's utterly
	  ambiguous.  I try to handle the corner cases but I dunno if I'm
	  right.  Needs more clarification.

2001-12-06  Alexander Larsson  <alla@lysator.liu.se>

	* gnome-desktop-item.c (gnome_desktop_item_new_from_uri):
	Remove old stat code.
	(gnome_desktop_item_save): Don't do magic non-abs path stuff
	to the location, it is supposed to be an uri.
	(gnome_desktop_item_get_file_status):
	Use gnome-vfs instead of stat.

Sun Dec  2 13:05:05 2001  Owen Taylor  <otaylor@redhat.com>

	* Makefile.am gnome-desktop.pc.in: Add a pc
	file for this library.

2001-11-30  Seth Nickell  <snickell@stanford.edu>

	* gnome-desktop-item.c: (get_encoding):

	Return "MIXED_ENCODING" when we aren't sure
	what the type is, at least for now. Our detection
	functions also need to be rewritten to use GnomeVFS
	fully. They assume "uri:/foo" -> "/foo".

2001-11-28  Anders Carlsson  <andersca@gnu.org>

	* gnome-hint.h: Inherit from GtkDialog instead of
	GnomeDialog.

	* gnome-hint.c: Likewise.

Tue Nov 27 00:43:13 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.c: look for kde icons in the same way the
	  panel does.  This requires more thought, kde icons are
	  no longer a simple task.

Tue Nov 20 19:37:53 2001  Owen Taylor  <otaylor@redhat.com>

	* gnome-desktop-item.h: Change include to glib-object.h.

Mon, 19 Nov 2001 01:47:56 -0500 Frank Belew <frb@ximian.com>

	* Makefile.am: added gnome-hint.h to libgnomeui_HEADERS

Sun Nov 18 00:22:22 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.c: fix the make_fake_directory, and 
	  fix some doc strings

Fri Nov 16 22:01:55 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.[ch]: use g_find_program_in_path and
	  g_path_is_absolute where appropriate.  Add a NO_TRANSLATIONS
	  load flag so that translations are not loaded (they are sometimes
	  not needed and they take long to load).  Also fix the encoding
	  getting function

2001-11-16  Glynn Foster  <glynn.foster@sun.com>

	* gnome-desktop-item.c: Fix up to work. I spent my whole day on
	something like a 10 line fix. This is just depressing. It's still
	broken with the encoding but at least it gets pretty little icons
	back on the panel again.

2001-11-14  Glynn Foster  <glynn.foster@sun.com>

	* gnome-ditem-edit.c:
	* gnome-hint.c: 

	Fix the GNOME_BOILERPLATE stuff.

2001-11-08  Mark McLoughlin  <mark@skynet.ie>

	* gnome-desktop-item.c: (gnome_desktop_item_launch): don't
	dump core if exec is NULL.

2001-11-08  Seth Nickell  <snickell@stanford.edu>

	* gnome-desktop-item.c:

	Stop including gnome-vfs-mime.h, use gnome-vfs-mime-util.h instead.

2001-11-07  Mark McLoughlin  <mark@skynet.ie>

	* gnome-desktop-item.c: (gnome_desktop_item_new_from_uri),
	(gnome_desktop_item_set_location): use gnome_vfs_file_info_new
	and gnome_vfs_file_info_unref.

Wed Nov 07 00:52:47 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.[ch]: Port to GnomeVFS.  Compiles, if
	  it actually works is a different question altogether.  However
	  it should still work and shouldn't break anything.  (Breaks
	  get/set_location api since that's uri and not filename now)

2001-10-25  Mark McLoughlin  <mark@skynet.ie>

	* gnome-hint.h: sync gnome_hint_new def.

2001-10-25 Stephen Browne <stephen.browne@sun.com?

	* gnome-desktop/gnome-hint.c
	* gnome-desktop/test-hint.c

	Some cleanup plus added support for a show at startup checkbox

2001-10-22  Stephen Browne  <stephen.browne@sun.com>

        * gnome-desktop/Makefile.am:
        * gnome-desktop/gnome-hint.c:
        * gnome-desktop/gnome-hint.h:
        * gnome-desktop/test-hint.c:

        Added a gnome_hint widget to libgnome-desktop

2001-10-11  Alex Larsson  <alexl@redhat.com>

	* gnome-desktop-item.c (ditem_execute, gnome_desktop_item_launch):
	Convert app launching to new api. Not tested yet, but at least
	compiles.

2001-10-10  Alex Larsson  <alexl@redhat.com>

	* gnome-desktop-item.c (escape_string_and_dup,
	escape_string_and_dup):
	Don't write past end of string.

2001-10-09  Havoc Pennington  <hp@redhat.com>

	* gnome-desktop-item.c (gnome_desktop_item_new): create the hash
	table here, since we use it and assume it's always non-nul

Wed Sep 26 23:04:04 2001  George Lebl <jirka@5z.com>

	* gnome-ditem-edit.[ch]:  Add a _set_editable call which makes
	  the entry editable or not.  Useful for read only items.  Currently
	  a stupid implementation.

2001-09-25  Darin Adler  <darin@bentspoon.com>

	* gnome-desktop-item.c: (gnome_desktop_item_launch): Update
	calls for change in gnome_url_show API.

Fri Sep 21 12:14:06 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.h: include gobject/gtype.h

	* gnome-ditem-edit.[ch]: include evil api to grab focus, to be
	  replaced by a correct way to do this in the future.

2001-09-21  Glynn Foster <glynn.foster@sun.com>

	* test-ditem.c: (test_ditem): Fix up this to pass the right 
	  number of args to gnome_desktop_item_get_type () and 
          gnome_desktop_item_set_localestring ()

Thu Sep 20 16:38:11 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.[ch]: make sure name/encoding/version are set,
	  location return is now const, and some better checks.  Also fix
	  saving 'under' and some 'modified' logic

	* gnome-ditem-edit.h: fix comment

Thu Sep 20 15:15:54 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.[ch]: string vector const weirdness removed

Wed Sep 19 01:42:13 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.c, gnome-ditem-edit.c: eeek, exported an
	  internal function.

Tue Sep 18 23:11:33 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.[ch]: Few more accessors, whack the push/pop
	  of sections.  Keys can now include sections, add actual error
	  returns

	* gnome-ditem-edit.[ch]: whack crack entries, make compile, and port
	  to new desktop item.

	* Makefile.am: add the ditem-edit

Sat Sep 08 01:55:29 2001  George Lebl <jirka@5z.com>

	* All bonobo stuff.  Removed for now.  This is in bonobo somewhere
	  now anyway.

	* Makefile.am: Fixup for the current no-bonobo build

	* gnome-desktop-item.[ch], test-ditem.c:  Made loading/saving work
	  and add tests

	* gnome-ditem-edit.[ch]: Add this, currently the same version that
	  was the last working one in libgnomeui HEAD.  Doesn't compile nor
	  work with the ditem yet.

Fri Sep 07 21:43:34 2001  George Lebl <jirka@5z.com>

	* gnome-desktop-item.[ch]: Put the parser into the ditem, completely
	  reshuffle the API, make it be much more anal about how it reads
	  files, simplify internal storage, and follow the spec more closely,
	  not api nor implementation complete.  Still needs a lot of work.
	  A .desktop moniker should rather be based upon this API rather
	  then being beneath it.  However that's very low on my priority list
	  right now.  But it should be simpler then before I'd think, and
	  you'd get actual spec compliant reading/writing.

Tue Sep 04 23:06:06 2001  George Lebl <jirka@5z.com>

	* Makefile.am, gnome-desktop-item.[ch]: Mostly stubify things with
	  #if 0's just to make it compile.  I will be changing the whole
	  structure of this shortly and simplifying the interface a lot
	  it seems to have grown quite a bit.

2001-08-21  Martin Baulig  <baulig@suse.de>

	* bonobo-config-ditem.c (get_encoding): If we can't determine the encoding,
	suck the whole file in and pipe it through g_utf8_validate().
	(encode_string): Never return NULL, instead use CORBA_string_dup ("").
	(bonobo_config_ditem_write_key): Deal with GNOME::LocalizedStringList.
	(bonobo_config_ditem_load): Correctly deal with newlines and wide unicode
	chars on legacy-mixed encoded files.

2001-08-20  Martin Baulig  <baulig@suse.de>

	* Makefile.am, bonobo-config-ditem.c: Disable dmalloc again. Hmm, for the
	moment it seems to work - let's see how long this lasts.

2001-08-20  Martin Baulig  <baulig@suse.de>

	* Makefile.am: Compile and install bonobo-moniker-ditem.

	* bonobo-moniker-ditem.c: Make this a stand-alone server, not a shared
	library.

	* Bonobo_Moniker_ditem.server.in.in: Renamed from Bonobo_Moniker_ditem.oaf.in.

	* bonobo-config-ditem.[ch]: Require dmalloc.

2001-08-20  Martin Baulig  <baulig@suse.de>

	* gnome-desktop-item.c (GnomeDesktopItem): Added `name', `comment'
	and `attributes' hash tables; copy all the CORBA sequences into these
	hash tables to make the lookup faster.

	* gnome-desktop-item.h: Make all `GnomeDesktopItem *'s non-const.

2001-08-20  Martin Baulig  <baulig@suse.de>

	* gnome-desktop-i18n.[ch]: New files. This is a mixture of the old
	gnome-libs/libgnome/gnome-i18n.c and gettext-0.10.38/intl/localealias.c.

	* locale.alias: New file. From gettext-0.10.38.

	* Makefile.am: Install locale.alias in $(datadir)/gnome.

2001-08-20  Martin Baulig  <baulig@suse.de>

	* bonobo-config-ditem.[ch]: Merge bonobo-config-ditem-internals.[ch]
	back into this file.

	* bonobo-config-ditem-internals.[ch]: Removed.

2001-08-20  Martin Baulig  <baulig@suse.de>

	* Makefile.am: For the moment, link test-ditem against dmalloc.
	I don't know what this is, but it crashes in malloc() without
	dmalloc, but I have dmalloc turned off .... :-(

	* gnome-desktop.xmldb: Removed, don't need this anymore.

2001-08-20  Martin Baulig  <baulig@suse.de>

	Rewrote the ditem code a bit, cleaned up its API and give the
	gnome-desktop-item.c code direct access to its internals.

	* bonobo-config-ditem-internals.[ch]: New files.

	* bonobo-config-ditem.[ch]: Moved a few functions to the new
	bonobo-config-ditem-internals.[ch].

2001-08-18  Martin Baulig  <baulig@suse.de>

	* gnome-desktop-item.c (gnome_desktop_item_get_tryexec):
	New function.

2001-08-17  Martin Baulig  <baulig@suse.de>

	* Makefile.am: Include bonobo-config-ditem.[ch] and
	bonobo-config-ditem-utils.[ch] in the library.

	* gnome-desktop-item.c: Call the code from bonobo-config-ditem.c
	directly rather than via the moniker.

2001-08-17  Martin Baulig  <baulig@suse.de>

	* gnome-ditem.[ch]: Renamed to gnome-desktop-item.[ch].

2001-08-12  Martin Baulig  <baulig@suse.de>

	* gnome-ditem.h (gnome_desktop_item_get_location): Make
	the return value non-const.

2001-08-06  Martin Baulig  <baulig@suse.de>

	* gnome-ditem.[ch]: Fix #includes for the new location.

	* Makefile.am: New file.

